İçeriğe geç

Ideogram V2A Turbo

Entegre et

Model kimliği ideogram/v2a/turbo
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/v2a/turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,025 25 API kredisi Bu sayfada çalıştır

API anahtarı al
Ideogram Metinden Görsele Hızlı #realism#typography

Aynı oran ve stillere sahip V2A metinden görüntü modelinin daha hızlı Turbo sürümü

Ideogram · Görsel

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli
aspect_ratio varsayılan 1:1

Çıktı görselinde kullanılacak en-boy oranı.

Gelişmiş style · seed · expand_prompt
style varsayılan auto

Çıktı görselinin görsel stili.

Rastgele sayı üretimi için tohum değeri.

POST /run/ideogram/v2a/turbo?wait=20 fiyat → $0,025
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/v2a/turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Ideogram V2A Turbo hakkında

V2A'nın hız odaklı metin-görsel varyantıdır. Bir metin `prompt` alır ve on bir en-boy oranını, auto, general, realistic, design, render_3D veya anime `style` değerini, isteğe bağlı istem genişletmeyi ve bir `seed` değerini destekler. Standart V2A seçeneğine kıyasla sonuç süresi daha önemli olduğunda kullanın.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
aspect_ratioisteğe bağlı
Türenum
Varsayılan1:1
10:1616:109:1616:94:33:41:11:33:13:22:3
Çıktı görselinde kullanılacak en-boy oranı.
expand_promptisteğe bağlı
Türboolean
Varsayılantrue
MagicPrompt'un istemi genişletip genişletmeyeceğini denetler.
seedisteğe bağlı
Türinteger | null
Rastgele sayı üretimi için tohum değeri.
styleisteğe bağlı
Türenum
Varsayılanauto
autogeneralrealisticdesignrender_3Danime
Çıktı görselinin görsel stili.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/v2a/turbo",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 25,
    "usd": "0.025",
    "charged": 25,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
images
array of object {url, content_type, file_name, file_size}
seed
integerRastgele sayı üretimi için kullanılan tohum değeri.

Daha fazla model: Metinden Görsele

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/ideogram/v2a/turbo.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt